## class: `ExButton`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

<hr/>

## class: `FvAccordionItem`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                        | Default | Description | Inherited From |
| ------------ | ------- | --------------------------- | ------- | ----------- | -------------- |
| `header`     | public  | `string`                    | `''`    |             |                |
| `expanded`   | public  | `boolean`                   | `false` |             |                |
| `appearance` | public  | `FvAccordionItemAppearance` |         |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `header`     | header     |                |
| `expanded`   | expanded   |                |
| `appearance` | appearance |                |

<hr/>

## class: `FvCard`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name              | Privacy | Type                        | Default | Description | Inherited From |
| ----------------- | ------- | --------------------------- | ------- | ----------- | -------------- |
| `title`           | public  | `string`                    | `''`    |             |                |
| `subtitle`        | public  | `string`                    | `''`    |             |                |
| `description`     | public  | `string`                    | `''`    |             |                |
| `appearance`      | public  | `FvCardAppearanceType`      |         |             |                |
| `interactionMode` | public  | `FvCardInteractionModeType` |         |             |                |
| `disabled`        | public  | `boolean`                   | `false` |             |                |
| `initials`        | public  | `string`                    | `''`    |             |                |

### Attributes

| Name               | Field           | Inherited From |
| ------------------ | --------------- | -------------- |
| `card-title`       | title           |                |
| `subtitle`         | subtitle        |                |
| `description`      | description     |                |
| `appearance`       | appearance      |                |
| `interaction-mode` | interactionMode |                |
| `disabled`         | disabled        |                |
| `initials`         | initials        |                |

<hr/>

## class: `FvChipSelector`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type      | Default           | Description | Inherited From |
| ------------------- | ------- | --------- | ----------------- | ----------- | -------------- |
| `disabled`          | public  | `boolean` | `false`           |             |                |
| `open`              | public  | `boolean` | `false`           |             |                |
| `label`             | public  | `string`  | `''`              |             |                |
| `selectedValues`    | public  | `string`  | `''`              |             |                |
| `options`           | public  | `string`  | `''`              |             |                |
| `placeholder`       | public  | `string`  | `'Select values'` |             |                |
| `allowCustomValues` | public  | `boolean` | `false`           |             |                |

### Events

| Name     | Type          | Description | Inherited From |
| -------- | ------------- | ----------- | -------------- |
| `change` | `CustomEvent` |             |                |

### Attributes

| Name                  | Field             | Inherited From |
| --------------------- | ----------------- | -------------- |
| `disabled`            | disabled          |                |
| `open`                | open              |                |
| `label`               | label             |                |
| `selected-values`     | selectedValues    |                |
| `options`             | options           |                |
| `placeholder`         | placeholder       |                |
| `allow-custom-values` | allowCustomValues |                |

<hr/>

## class: `FvContextHelp`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name           | Privacy | Type                    | Default       | Description | Inherited From |
| -------------- | ------- | ----------------------- | ------------- | ----------- | -------------- |
| `text`         | public  | `string`                | `''`          |             |                |
| `triggerLabel` | public  | `string`                | `'Show help'` |             |                |
| `severity`     | public  | `FvContextHelpSeverity` |               |             |                |
| `iconVisible`  | public  | `boolean`               | `false`       |             |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `text`          | text         |                |
| `trigger-label` | triggerLabel |                |
| `severity`      | severity     |                |
| `icon-visible`  | iconVisible  |                |

<hr/>

## class: `FvSearchInput`

### Superclass

| Name                  | Module | Package             |
| --------------------- | ------ | ------------------- |
| `FoundationTextField` |        | @ni/fast-foundation |

### Fields

| Name         | Privacy | Type                          | Default | Description | Inherited From |
| ------------ | ------- | ----------------------------- | ------- | ----------- | -------------- |
| `appearance` | public  | `FvSearchInputAppearanceType` |         |             |                |

### Events

| Name    | Type    | Description | Inherited From |
| ------- | ------- | ----------- | -------------- |
| `input` | `Event` |             |                |

### Attributes

| Name         | Field      | Inherited From |
| ------------ | ---------- | -------------- |
| `appearance` | appearance |                |

<hr/>

## class: `FvSplitButton`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                                 | Default              | Description | Inherited From |
| ------------------- | ------- | ------------------------------------ | -------------------- | ----------- | -------------- |
| `label`             | public  | `string`                             | `'Primary function'` |             |                |
| `disabled`          | public  | `boolean`                            | `false`              |             |                |
| `open`              | public  | `boolean`                            | `false`              |             |                |
| `appearance`        | public  | `FvSplitButtonAppearanceType`        |                      |             |                |
| `appearanceVariant` | public  | `FvSplitButtonAppearanceVariantType` |                      |             |                |

### Events

| Name      | Type          | Description | Inherited From |
| --------- | ------------- | ----------- | -------------- |
| `trigger` | `CustomEvent` |             |                |
| `toggle`  | `CustomEvent` |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `label`              | label             |                |
| `disabled`           | disabled          |                |
| `open`               | open              |                |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |

<hr/>

## class: `FvSplitButtonAnchor`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                | Privacy | Type                                       | Default              | Description | Inherited From |
| ------------------- | ------- | ------------------------------------------ | -------------------- | ----------- | -------------- |
| `label`             | public  | `string`                                   | `'Primary function'` |             |                |
| `href`              | public  | `string`                                   | `''`                 |             |                |
| `target`            | public  | `string`                                   | `''`                 |             |                |
| `rel`               | public  | `string`                                   | `''`                 |             |                |
| `download`          | public  | `string`                                   | `''`                 |             |                |
| `disabled`          | public  | `boolean`                                  | `false`              |             |                |
| `open`              | public  | `boolean`                                  | `false`              |             |                |
| `appearance`        | public  | `FvSplitButtonAnchorAppearanceType`        |                      |             |                |
| `appearanceVariant` | public  | `FvSplitButtonAnchorAppearanceVariantType` |                      |             |                |

### Events

| Name      | Type          | Description | Inherited From |
| --------- | ------------- | ----------- | -------------- |
| `trigger` | `CustomEvent` |             |                |
| `toggle`  | `CustomEvent` |             |                |

### Attributes

| Name                 | Field             | Inherited From |
| -------------------- | ----------------- | -------------- |
| `label`              | label             |                |
| `href`               | href              |                |
| `target`             | target            |                |
| `rel`                | rel               |                |
| `download`           | download          |                |
| `disabled`           | disabled          |                |
| `open`               | open              |                |
| `appearance`         | appearance        |                |
| `appearance-variant` | appearanceVariant |                |

<hr/>

## class: `FvSummaryPanel`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name                   | Privacy | Type      | Default       | Description | Inherited From |
| ---------------------- | ------- | --------- | ------------- | ----------- | -------------- |
| `showEditItemsButton`  | public  | `boolean` | `false`       |             |                |
| `legacyStyle`          | public  | `boolean` | `false`       |             |                |
| `editItemsButtonLabel` | public  | `string`  | `'Configure'` |             |                |

### Events

| Name         | Type          | Description | Inherited From |
| ------------ | ------------- | ----------- | -------------- |
| `edit-items` | `CustomEvent` |             |                |

### Attributes

| Name                      | Field                | Inherited From |
| ------------------------- | -------------------- | -------------- |
| `show-edit-items-button`  | showEditItemsButton  |                |
| `legacy-style`            | legacyStyle          |                |
| `edit-items-button-label` | editItemsButtonLabel |                |

<hr/>

## class: `FvSummaryPanelTile`

### Superclass

| Name                | Module | Package             |
| ------------------- | ------ | ------------------- |
| `FoundationElement` |        | @ni/fast-foundation |

### Fields

| Name           | Privacy | Type                                 | Default | Description | Inherited From |
| -------------- | ------- | ------------------------------------ | ------- | ----------- | -------------- |
| `count`        | public  | `string`                             | `''`    |             |                |
| `label`        | public  | `string`                             | `''`    |             |                |
| `legacyStyle`  | public  | `boolean`                            | `false` |             |                |
| `selected`     | public  | `boolean`                            | `false` |             |                |
| `textPosition` | public  | `FvSummaryPanelTileTextPositionType` |         |             |                |

### Attributes

| Name            | Field        | Inherited From |
| --------------- | ------------ | -------------- |
| `count`         | count        |                |
| `label`         | label        |                |
| `legacy-style`  | legacyStyle  |                |
| `selected`      | selected     |                |
| `text-position` | textPosition |                |

<hr/>

## class: `TsIconDynamic`

### Superclass

| Name   | Module | Package                                  |
| ------ | ------ | ---------------------------------------- |
| `Icon` |        | @ni/nimble-components/dist/esm/icon-base |

### Static Methods

| Name                  | Privacy | Description | Parameters                     | Return | Inherited From |
| --------------------- | ------- | ----------- | ------------------------------ | ------ | -------------- |
| `registerIconDynamic` | public  |             | `tagName: string, url: string` | `void` |                |

<hr/>
